package com.sf.web.dms.statistics.control;

package ..deTemp.1731159222452;

import com.sf.web.dms.statistics.bean.RtuOnlineDetialBean;
import com.sf.web.dms.statistics.bean.RtuOnlineParaVO;
import com.sf.web.dms.statistics.service.RtuOnlineService;
import com.smartframework.core.annotation.SmartComment;
import com.smartframework.core.dao.page.PagingBean;
import com.smartframework.core.smart.SmartView;
import com.smartframework.web.core.bean.HeaderConfig;
import com.smartframework.web.core.control.BasicControl;
import com.smartframework.web.core.queryfilter.QueryFilter;
import com.smartframework.web.core.util.ExcelDataUtil;
import java.io.ByteArrayOutputStream;
import java.util.Date;
import java.util.List;
import java.util.Map;

@SmartComment("RtuOnline实例增删改查接口层")
public class RtuOnlineControl extends BasicControl {
  private RtuOnlineService rtuOnlineService;
  
  public RtuOnlineService getRtuOnlineService() {
    return this.rtuOnlineService;
  }
  
  public void setRtuOnlineService(RtuOnlineService rtuOnlineService) {
    this.rtuOnlineService = rtuOnlineService;
  }
  
  @SmartComment("获取RtuOnline实例的分页查询结果")
  public SmartView list(RtuOnlineParaVO queryPara) {
    QueryFilter queryFilter0 = null;
    QueryFilter queryFilter1 = null;
    QueryFilter queryFilter2 = null;
    try {
      queryFilter0 = queryPara.getQueryFilter0(null, null);
      queryFilter1 = queryPara.getQueryFilter1(null, null);
      queryFilter2 = queryPara.getQueryFilter2(null, null);
    } catch (Exception e) {
      return SmartView.ERROR(e.getMessage());
    } 
    PagingBean page = new PagingBean(queryFilter1.getPageSize().intValue(), queryFilter1.getPageIndex().intValue());
    Date endTime = new Date();
    if (queryPara.getTimeRange() != null && (queryPara.getTimeRange()).length == 2 && queryPara.getTimeRange()[1] != null)
      endTime = queryPara.getTimeRange()[1]; 
    if (queryPara.getCurrentStatus() == null) {
      this.logger.info("查询记录");
      page = this.rtuOnlineService.queryRecords(queryFilter0, queryFilter1, queryFilter2, endTime, queryPara.getLevel(), queryPara.getOrgId(), null);
    } else {
      page = this.rtuOnlineService.queryRecordsByStatus(queryFilter0, queryFilter1, queryFilter2, endTime, queryPara.getCurrentStatus(), queryPara.getLevel(), queryPara.getOrgId(), null);
    } 
    if (queryPara.isExport())
      try {
        List<HeaderConfig> headers = queryPara.getColumnList();
        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
        List<Map<String, Object>> records = page.getData();
        ExcelDataUtil.createExcelByMapList(records, headers)
          .write(outputStream);
        return SmartView.FileView(outputStream, "终端在线率明细.xls");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    return pageView(page);
  }
  
  @SmartComment("获取RtuOnline实例的分页查询结果")
  public SmartView listDetial(RtuOnlineDetialBean queryPara) {
    QueryFilter queryFilter = null;
    try {
      queryFilter = queryPara.getQueryFilter(null, null);
    } catch (Exception e) {
      return SmartView.ERROR(e.getMessage());
    } 
    PagingBean page = this.rtuOnlineService.queryRecordsDetial(queryFilter);
    if (queryPara.isExport())
      try {
        List<HeaderConfig> headers = queryPara.getColumnList();
        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();
        List<Map<String, Object>> records = page.getData();
        ExcelDataUtil.createExcelByMapList(records, headers)
          .write(outputStream);
        return SmartView.FileView(outputStream, "单终端投退明细.xls");
      } catch (Exception e) {
        e.printStackTrace();
      }  
    return pageView(page);
  }
}
